com.streambase.liveview.client.dynamictables

## Class Assignment

- java.lang.Object
- - com.streambase.liveview.client.dynamictables.Assignment

-     public class Assignment
      extends Object

  This represents one assignment to either a Field or a Variable.
  Since:
    2.1.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Assignment()`
    `Assignment(String fieldName, String value)` Shortcut constructor for the common case of setting a single field.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFieldName()`
    `String` | `getValue()`
    `String` | `getVariableName()`
    `Assignment` | `setFieldName(String fieldName)`
    `Assignment` | `setValue(String value)`
    `Assignment` | `setVariableName(String variableName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Assignment

          public Assignment()

    - #### Assignment

          public Assignment(String fieldName,
                            String value)

      Shortcut constructor for the common case of setting a single field.
      Parameters:
        `fieldName` -
        `value` -

  - ### Method Detail

    - #### getFieldName

          public String getFieldName()

      Returns:
        the fieldName

    - #### setFieldName

          public Assignment setFieldName(String fieldName)

      Parameters:
        `fieldName` - the fieldName to set

    - #### getVariableName

          public String getVariableName()

      Returns:
        the variableName

    - #### setVariableName

          public Assignment setVariableName(String variableName)

      Parameters:
        `variableName` - the variableName to set

    - #### getValue

          public String getValue()

      Returns:
        the value

    - #### setValue

          public Assignment setValue(String value)

      Parameters:
        `value` - the value to set

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.